import { Boxever, BoxeverQueueFunctionType, BrowserShowResponse, EventCreateResponse } from './types';
declare global {
    interface Window {
        _boxever_settings: {
            client_key: string;
            target: string;
            cookie_domain: string;
        };
        Boxever: Boxever;
        _boxever: Boxever;
        _boxeverq: BoxeverQueueFunctionType[];
        __boxeverQueue: {
            new (): [];
        };
        BoxeverJERS: {
            errors: unknown[];
        };
    }
}
export declare class CdpPersonalize {
    private clientKey;
    private targetApi;
    private cookieDomain;
    private pointOfSale;
    private webFlowTarget;
    private libraryVersion;
    private currency;
    private channel;
    private language;
    private scriptId;
    initialize: (clientKey: string, targetApi: string, cookieDomain: string, pointOfSale: string, webFlowTarget: string, libraryVersion?: string | undefined, currency?: string | undefined, channel?: string | undefined, langauge?: string | undefined) => void;
    trackPage: () => Promise<EventCreateResponse>;
    getBrowserId: () => Promise<string>;
    getGuestRef: () => Promise<string>;
    getClientKey: () => Promise<string>;
    getBucketNumber: () => Promise<string>;
    getCookie: (cookieName: string) => Promise<string>;
    identifyByEmail: (email: string, additionalData?: Record<string, unknown> | undefined) => Promise<EventCreateResponse>;
    identifyByProvider: (provider: string, id: string, additionalData?: Record<string, unknown> | undefined) => Promise<EventCreateResponse>;
    eventCreate: (event: Record<string, unknown>) => Promise<EventCreateResponse>;
    callFlows: <T>(flow: Record<string, unknown>) => Promise<T>;
    browserShow: (browserId?: string | undefined) => Promise<BrowserShowResponse>;
    reset: () => Promise<void>;
    triggerExperiences: () => Promise<void>;
    private isInitialized;
    private waitForBoxever;
    private renderScript;
}
